/*
 * The GNOME-driven breakout GUI
 *
 * Copyright (c) 2000 Michael Pearson <alcaron@ozemail.com.au>
 *
 * This file is licensed under the GNU General Public License. See the file
 * "COPYING" for more details.
 */

/* The way the game ended */
typedef enum { ENDGAME_WIN, ENDGAME_LOSE, ENDGAME_MENU } EndGameStatus;

void gui_init(Game *game, int argc, char **argv);
void add_to_canvas(Entity *entity);
void remove_from_canvas(Entity *entity);
void update_gnome(Game *game);
void process_gnome_events(void);
void update_canvas_position(Entity *entity);
void update_canvas_animation(Entity *entity);
void gui_begin_game(void);
void gui_end_game(EndGameStatus status);
gint get_mouse_x_position(void);

/* This holds pointers to objects in the currently running GNOME app. It should
 * only be used in gui.c and gui-callbacks.c */
typedef struct {
	GnomeApp *app;
	GnomeCanvas *canvas;
	GnomeCanvasItem *title_image;
	GnomeCanvasItem *background;
	GtkWidget *vbox;
	GtkWidget *scorelabel;
	GtkWidget *liveslabel;
	GtkWidget *levellabel;
	GtkWidget *appbar;
	GtkWidget *menu_pause;
	GtkWidget *menu_new_game;
	GtkWidget *menu_end_game;
	Game *game;
} GuiInfo;
